<?php

class WP_47_Credits extends WP_Credits {

	function groups() {
		$groups = array(
			'project-leaders' => array(
				'name'    => 'Project Leaders',
				'type'    => 'titles',
				'shuffle' => true,
				'data'    => array(
					'matt'        => array( 'Matt Mullenweg',  'Cofounder, Project Lead' ),
					'nacin'       => array( 'Andrew Nacin',    'Lead Developer'          ),
					'markjaquith' => array( 'Mark Jaquith',    'Lead Developer', '097a87a525e317519b5ee124820012fb' ),
					'azaozz'      => array( 'Andrew Ozz',      'Lead Developer'          ),
					'helen'       => array( 'Helen Hou-Sandí', 'Release Lead'            ),
					'dd32'        => array( 'Dion Hulse',      'Lead Developer'          ),
				),
			),
			'core-developers' => array(
				'name'    => 'Contributing Developers',
				'type'    => 'titles',
				'shuffle' => false,
				'data'    => array(
					'jorbin'         => array( 'Aaron Jorbin',      'Release Deputy' ),
					'jbpaul17'       => array( 'Jeff Paul',         'Release Deputy' ),
					'aaroncampbell'  => array( 'Aaron D. Campbell', 'Core Developer' ),
					'afercia'        => array( 'Andrea Fercia',     'Core Developer' ),
					'boonebgorges'   => array( 'Boone B. Gorges',   'Core Developer' ),
					'ocean90'        => array( 'Dominik Schilling', 'Core Developer' ),
					'DrewAPicture'   => array( 'Drew Jaynes',       'Core Developer' ),
					'iseulde'        => array( 'Ella Iseulde Van Dorpe', 'Core Developer' ),
					'pento'          => array( 'Gary Pendergast',   'Core Developer' ),
					'jeremyfelt'     => array( 'Jeremy Felt',       'Core Developer' ),
					'joemcgill'      => array( 'Joe McGill',        'Core Developer' ),
					'johnbillion'    => array( 'John Blackbourn',   'Core Developer', '0000ba6dd1b089e1746abbfe6281ee3b' ),
					'mikeschroder'   => array( 'Mike Schroder',     'Core Developer' ),
					'swissspidy'     => array( 'Pascal Birchler',   'Core Developer' ),
					'rachelbaker'    => array( 'Rachel Baker' ,     'Core Developer' ),
					'wonderboymusic' => array( 'Scott Taylor',      'Core Developer' ),
					'SergeyBiryukov' => array( 'Sergey Biryukov',   'Core Developer' ),
					'westonruter'    => array( 'Weston Ruter',      'Core Developer', '22ed378fbf1d918ef43a45b2a1f34634' ),
					'davidakennedy'  => 'David A. Kennedy',
					'flixos90'       => 'Felix Arntz',
					'melchoyce'      => 'Mel Choyce',
				),
			),
			'contributing-developers' => array(
				'name'    => false,
				'type'    => 'titles',
				'shuffle' => true,
				'data'    => array(
					'obenland'        => 'Konstantin Obenland',
					'rmccue'          => array( 'Ryan McCue', '08818120f223035a0857c2a0ec417f93' ),
					'karmatosed'      => 'Tammie Lister',
					'joehoyle'        => 'Joe Hoyle',
					'ericlewis'       => 'Eric Andrew Lewis',
					'peterwilsoncc'   => 'Peter Wilson',
					'kovshenin'       => 'Konstantin Kovshenin',
					'michaelarestad'  => 'Michael Arestad',
					'adamsilverstein' => 'Adam Silverstein',
					'jnylen0'         => 'James Nylen',
					'laurelfulford'   => 'Laurel Fulford',
					'kadamwhite'      => 'K.Adam White',
				),
			),
			'recent-rockstars' => array(
				'name'    => false,
				'type'    => 'titles',
				'shuffle' => true,
				'data'    => array(
					'danielbachhuber'  => 'Daniel Bachhuber ',
					'celloexpressions' => 'Nick Halsey ',
					'ramiy'            => 'Rami Yushuvaev',
					'johnregan3'       => 'John Regan',
					'sirbrillig'       => 'Payton Swick',
					'bradyvercher'     => 'Brady Vercher',
				),
			),
		);

		return $groups;
	}

	function props() {
		return array(
			'aaroncampbell',
			'abrightclearweb',
			'achbed',
			'acmethemes',
			'adammacias',
			'adamsilverstein',
			'afercia',
			'ahmadawais',
			'ahortin',
			'airesvsg',
			'ajoah',
			'akeif',
			'akibjorklund',
			'akshayvinchurkar',
			'alex27',
			'allancole',
			'andizer',
			'andrewp-2',
			'andy',
			'aniketpant',
			'anilbasnet',
			'ankit-k-gupta',
			'antisilent',
			'apokalyptik',
			'artoliukkonen',
			'arush',
			'atimmer',
			'attitude',
			'azaozz',
			'b-07',
			'backermann',
			'batmoo',
			'bcole808',
			'binarymoon',
			'birgire',
			'bjornw',
			'bobbingwide',
			'boblinthorst',
			'boboudreau',
			'boonebgorges',
			'bradyvercher',
			'brainstormforce',
			'brianhogg',
			'bronsonquick',
			'caseypatrickdriscoll',
			'caspie',
			'cdog',
			'celloexpressions',
			'cgrymala',
			'chaos-engine',
			'cheeserolls',
			'cheffheid',
			'chesio',
			'choongsavvii',
			'chopinbach',
			'chouby',
			'chredd',
			'chris_d2d',
			'chriscct7',
			'chriseverson',
			'chrisjean',
			'christophherr',
			'chrisvanpatten',
			'chriswiegman',
			'clarionwpdeveloper',
			'claudiolabarbera',
			'claudiosanches',
			'claudiosmweb',
			'clorith',
			'cmmarslender',
			'codebykat',
			'codemovementpk',
			'coderkevin',
			'codfish',
			'coffee2code',
			'coreymcollins',
			'curdin',
			'cwpnolen',
			'd4z_c0nf',
			'daggerhart',
			'danhgilmore',
			'danielbachhuber',
			'danielkanchev',
			'danielpietrasik',
			'davepullig',
			'davidakennedy',
			'davidbhayes',
			'davidmosterd',
			'dd32',
			'deeptiboddapati',
			'delawski',
			'delphinus',
			'deltafactory',
			'denis-de-bernardy',
			'deremohan',
			'derrickkoo',
			'desrosj',
			'dglingren',
			'dimadin',
			'dimchik',
			'dineshc',
			'dipeshkakadiya',
			'dlh',
			'dllh',
			'dmsnell',
			'dotancohen',
			'doughamlin',
			'dougwollison',
			'drewapicture',
			'dshanske',
			'duncanjbrown',
			'dungengronovius',
			'dylanauty',
			'earnjam',
			'eherman24',
			'electricfeet',
			'eliorivero',
			'elyobo',
			'enodekciw',
			'enshrined',
			'ericlewis',
			'fencer04',
			'fjarrett',
			'flixos90',
			'florianbrinkmann',
			'foliovision',
			'folletto',
			'fomenkoandrey',
			'frank-klein',
			'frankiet',
			'fronaldaraujo',
			'frozzare',
			'fuscata',
			'garyj',
			'geekysoft',
			'georgestephanis',
			'gitlost',
			'gma992',
			'goranseric',
			'goto10',
			'grahamarmfield',
			'grantderepas',
			'grapplerulrich',
			'greatislander',
			'guavaworks',
			'hardeepasrani',
			'helen',
			'henrywright',
			'hiddenpearls',
			'hideokamoto',
			'hnle',
			'hugobaeta',
			'hurtige',
			'iamfriendly',
			'iamjolly',
			'iandunn',
			'ianedington',
			'ibachal',
			'ideag',
			'idealien',
			'igmoweb',
			'imath',
			'imnok',
			'implenton',
			'ionutst',
			'ipstenu',
			'ironpaperweight',
			'iseulde',
			'ivdimova',
			'ixkaito',
			'jakept',
			'jamesacero',
			'japh',
			'jaredcobb',
			'jaworskimatt',
			'jayarjo',
			'jbpaul17',
			'jbrinley',
			'jdgrimes',
			'jdolan',
			'jdoubleu',
			'jeremyfelt',
			'jimt',
			'jipmoors',
			'jjeaton',
			'jmusal',
			'jnylen0',
			'joedolson',
			'joefusco',
			'joehoyle',
			'joelcj91',
			'joemcgill',
			'johanmynhardt',
			'johnbillion',
			'johnjamesjacoby',
			'johnpbloch',
			'johnpgreen',
			'johnregan3',
			'jonathanbardo',
			'jonnyauk',
			'jorbin',
			'jordesign',
			'jorritschippers',
			'joshcummingsdesign',
			'joshkadis',
			'joyously',
			'jpry',
			'jrf',
			'jrgould',
			'jshreve',
			'jtsternberg',
			'juanfra',
			'juhise',
			'justinbusa',
			'justinsainton',
			'kacperszurek',
			'kadamwhite',
			'kalenjohnson',
			'karmatosed',
			'kau-boy',
			'keesiemeijer',
			'kelderic',
			'kellbot',
			'kenshino',
			'ketuchetan',
			'khag7',
			'kitchin',
			'kjbenk',
			'kkoppenhaver',
			'knutsp',
			'koenschipper',
			'kokarn',
			'kouratoras',
			'kovshenin',
			'kraftbj',
			'krogsgard',
			'krstarica',
			'kuchenundkakao',
			'kuldipem',
			'kwight',
			'laurelfulford',
			'leewillis77',
			'leobaiano',
			'lgedeon',
			'littlebigthing',
			'lucasstark',
			'lukecavanagh',
			'lukepettway',
			'lyubomir_popov',
			'mageshp',
			'magicroundabout',
			'mahesh901122',
			'mangeshp',
			'manishsongirkar36',
			'mantismamita',
			'mapk',
			'mariovalney',
			'markoheijnen',
			'markshep',
			'matrixik',
			'mattheu',
			'mattking5000',
			'mattwiebe',
			'mattyrob',
			'mauteri',
			'maxcutler',
			'maximeculea',
			'mayukojpn',
			'mbelchev',
			'mbootsman',
			'mckernanin',
			'mdgl',
			'melchoyce',
			'metodiew',
			'mhowell',
			'michael-arestad',
			'michalzuber',
			'mihai2u',
			'mikehansenme',
			'mikelittle',
			'mikeschroder',
			'mikeviele',
			'mista-flo',
			'miyauchi',
			'mjbanks',
			'modemlooper',
			'monikarao',
			'mor10',
			'morettigeorgiev',
			'morganestes',
			'mrahmadawais',
			'mrbobbybryant',
			'mrwweb',
			'mt8biz',
			'mte90',
			'nacin',
			'natewr',
			'nathanrice',
			'nazgul',
			'nbachiyski',
			'needle',
			'netweb',
			'nikeo',
			'nikschavan',
			'nikv',
			'nmt90',
			'nnaimov',
			'noplanman',
			'nukaga',
			'nullvariable',
			'obenland',
			'ocean90',
			'odie2',
			'odysseygate',
			'orvils',
			'oskosk',
			'oso96_2000',
			'ottok',
			'ovann86',
			'oxymoron',
			'patilswapnilv',
			'patilvikasj',
			'paulwilde',
			'pbearne',
			'pcfreak30',
			'pdufour',
			'pento',
			'peterwilsoncc',
			'phh',
			'php',
			'piewp',
			'pippinsplugins',
			'pjgalbraith',
			'pkevan',
			'polevaultweb',
			'pollyplummer',
			'pratikchaskar',
			'pressionate',
			'presskopp',
			'procodewp',
			'pushred',
			'quasel',
			'rabmalin',
			'rachelbaker',
			'rahulsprajapati',
			'ramiabraham',
			'ramiy',
			'ranh',
			'rarst',
			'redsand',
			'rianrietveld',
			'rmccue',
			'rnoakes3rd',
			'rodrigosprimo',
			'rommelxcastro',
			'rpayne7264',
			'ryankienstra',
			'ryanplas',
			'ryelle',
			'salcode',
			'samikeijonen',
			'samuelsidler',
			'sandesh055',
			'sayedwp',
			'schlessera',
			'schrapel',
			'scrappyhuborg',
			'scribu',
			'seancjones',
			'sebastianpisula',
			'sergeybiryukov',
			'sgr33n',
			'sharkomatic',
			'shayanys',
			'shelob9',
			'shprink',
			'sillybean',
			'simonlampen',
			'sirbrillig',
			'sixhours',
			'skippy',
			'smerriman',
			'smyoon315',
			'snacking',
			'soean',
			'solal',
			'solarissmoke',
			'spacedmonkey',
			'sstoqnov',
			'sswells',
			'stephenharris',
			'stevenkword',
			'stevenlinx',
			'stubgo',
			'sudar',
			'superpoincare',
			'swapnild',
			'swissspidy',
			'takahashi_fumiki',
			'tapsboy',
			'team',
			'tfrommen',
			'tg29359',
			'tharsheblows',
			'the',
			'themeshaper',
			'thenbrent',
			'thomaswm',
			'tierra',
			'timmydcrawford',
			'timothyblynjacobs',
			'tivnet',
			'tjnowell',
			'tkama',
			'tlovett1',
			'tnash',
			'tnegri',
			'tollmanz',
			'tomauger',
			'tomdxw',
			'toro_unit',
			'transl8or',
			'traversal',
			'trepmal',
			'trishasalas',
			'tristangemus',
			'truongwp',
			'tsl143',
			'turtlepod',
			'tywayne',
			'tyxla',
			'utkarshpatel',
			'valendesigns',
			'valeriutihai',
			'vanillalounge',
			'veraxus',
			'vishalkakadiya',
			'voldemortensen',
			'vrundakansara-1',
			'webbgaraget',
			'webmandesign',
			'websupporter',
			'welcher',
			'westonruter',
			'whyisjake',
			'williampatton',
			'wolly',
			'wonderboymusic',
			'wpsmith',
			'wraithkenny',
			'xavortm',
			'xknown',
			'yale01',
			'yoavf',
			'yogasukma',
			'youknowriad',
			'zhildzik',
			'zodiac1978',
			'zsusag',
			'zuige',
			'zyphonic',
		);
	}

	function external_libraries() {
		return array(
			array( 'Backbone.js', 'http://backbonejs.org/' ),
			array( 'Class POP3', 'https://squirrelmail.org/' ),
			array( 'Color Animations', 'https://plugins.jquery.com/color/' ),
			array( 'getID3()', 'http://getid3.sourceforge.net/' ),
			array( 'Horde Text Diff', 'https://pear.horde.org/' ),
			array( 'hoverIntent', 'http://cherne.net/brian/resources/jquery.hoverIntent.html' ),
			array( 'imgAreaSelect', 'http://odyniec.net/projects/imgareaselect/' ),
			array( 'Iris', 'https://github.com/Automattic/Iris' ),
			array( 'jQuery', 'https://jquery.com/' ),
			array( 'jQuery UI', 'https://jqueryui.com/' ),
			array( 'jQuery Hotkeys', 'https://github.com/tzuryby/jquery.hotkeys' ),
			array( 'jQuery serializeObject', 'http://benalman.com/projects/jquery-misc-plugins/' ),
			array( 'jQuery.query', 'https://plugins.jquery.com/query-object/' ),
			array( 'jQuery.suggest', 'https://github.com/pvulgaris/jquery.suggest' ),
			array( 'jQuery UI Touch Punch', 'http://touchpunch.furf.com/' ),
			array( 'json2', 'https://github.com/douglascrockford/JSON-js' ),
			array( 'Masonry', 'http://masonry.desandro.com/' ),
			array( 'MediaElement.js', 'http://mediaelementjs.com/' ),
			array( 'PclZip', 'http://www.phpconcept.net/pclzip/' ),
			array( 'PemFTP', 'https://www.phpclasses.org/package/1743-PHP-FTP-client-in-pure-PHP.html' ),
			array( 'phpass', 'http://www.openwall.com/phpass/' ),
			array( 'PHPMailer', 'https://github.com/PHPMailer/PHPMailer' ),
			array( 'Plupload', 'http://www.plupload.com/' ),
			array( 'random_compat', 'https://github.com/paragonie/random_compat' ),
			array( 'Requests', 'http://requests.ryanmccue.info/' ),
			array( 'SimplePie', 'http://simplepie.org/' ),
			array( 'The Incutio XML-RPC Library', 'http://scripts.incutio.com/xmlrpc/' ),
			array( 'Thickbox', 'http://codylindley.com/thickbox/' ),
			array( 'TinyMCE', 'https://www.tinymce.com/' ),
			array( 'Twemoji', 'https://github.com/twitter/twemoji' ),
			array( 'Underscore.js', 'http://underscorejs.org/' ),
			array( 'zxcvbn', 'https://github.com/dropbox/zxcvbn' ),
		);
	}
}
